# Uses of Interface
org.eclipse.emf.compare.match.eobject.WeightProvider.Descriptor.Registry

Packages that use WeightProvider.Descriptor.Registry
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.eobject
org.eclipse.emf.compare.match.impl
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.rcp.internal.match

## Uses of WeightProvider.Descriptor.Registry in org.eclipse.emf.compare.match

Methods in org.eclipse.emf.compare.match with parameters of type WeightProvider.Descriptor.Registry
Modifier and Type
Method
Description
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.
`static IEObjectMatcher`
DefaultMatchEngine.`createDefaultEObjectMatcher(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry)`
Creates and configures an `IEObjectMatcher` with the strategy given by `useIDs`.

## Uses of WeightProvider.Descriptor.Registry in org.eclipse.emf.compare.match.eobject

Classes in org.eclipse.emf.compare.match.eobject that implement WeightProvider.Descriptor.Registry
Modifier and Type
Class
Description
`class`
`WeightProviderDescriptorRegistryImpl`
This will contain all of the EMF Compare Weight Providers Descriptors.
Methods in org.eclipse.emf.compare.match.eobject that return WeightProvider.Descriptor.Registry
Modifier and Type
Method
Description
`static WeightProvider.Descriptor.Registry`
WeightProviderDescriptorRegistryImpl.`createStandaloneInstance()`
Returns a registry filled with the default weight provider `DefaultWeightProvider` and the ecore weight provider `EcoreWeightProvider` provided by EMF Compare.
Constructors in org.eclipse.emf.compare.match.eobject with parameters of type WeightProvider.Descriptor.Registry
Modifier
Constructor
Description
``
`EditionDistance(WeightProvider.Descriptor.Registry weightProviderRegistry)`
Instantiate a new Edition Distance.
``
`EditionDistance(WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry)`
Instantiate a new Edition Distance.

## Uses of WeightProvider.Descriptor.Registry in org.eclipse.emf.compare.match.impl

Constructors in org.eclipse.emf.compare.match.impl with parameters of type WeightProvider.Descriptor.Registry
Modifier
Constructor
Description
``
`MatchEngineFactoryImpl(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry)`
Constructor that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
``
`MatchEngineFactoryImpl(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry)`
Constructor that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.

## Uses of WeightProvider.Descriptor.Registry in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return WeightProvider.Descriptor.Registry
Modifier and Type
Method
Description
`WeightProvider.Descriptor.Registry`
EMFCompareRCPPlugin.`getWeightProviderRegistry()`
Returns the registry of weight providers.

## Uses of WeightProvider.Descriptor.Registry in org.eclipse.emf.compare.rcp.internal.match

Constructors in org.eclipse.emf.compare.rcp.internal.match with parameters of type WeightProvider.Descriptor.Registry
Modifier
Constructor
Description
``
`WeightProviderDescriptorRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, WeightProvider.Descriptor.Registry registry)`
Creates a new registry listener with the given weight provider registry to which extension will be registered.